## org.biojava.bio.alignment
Class AbstractULAlignment.LeftRightLocationComparator

    java.lang.Object
      org.biojava.bio.alignment.AbstractULAlignment.LeftRightLocationComparator

All Implemented Interfaces:
  Comparator

Enclosing class:
  AbstractULAlignment

    public class AbstractULAlignment.LeftRightLocationComparator

extends Object
implements Comparator

Orders by location left to right. If they both start at the same location (o1.getMin() == o2.getMin()) it the larger of the two considered to the Left

Constructor Summary
`AbstractULAlignment.LeftRightLocationComparator()`

Method Summary
`int` `compare(Object o1, Object o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### AbstractULAlignment.LeftRightLocationComparator

    public AbstractULAlignment.LeftRightLocationComparator()

Method Detail

### compare

    public int compare(Object o1,
                       Object o2)

  Specified by:
    `compare` in interface `Comparator`